Obter uma grade de localizações
Leia uma grade ponto a ponto: localização, status da tarefa e resposta.
GET
/
v1
/
async
/
task
/
grid
/
{id}
Get a location grid
curl --request GET \
--url https://api.querying.ai/v1/async/task/grid/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/async/task/grid/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/async/task/grid/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/async/task/grid/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/async/task/grid/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/async/task/grid/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/async/task/grid/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"grid": {
"id": "<string>"
},
"summary": {
"total": 123,
"queued": 123,
"processing": 123,
"completed": 123,
"failed": 123
},
"points": [
{
"row": 123,
"col": 123,
"location": {
"latitude": 37.4979,
"longitude": 127.0276
},
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskType": "CHATGPT",
"status": "QUEUED",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>"
},
"credits": {
"creditsToCharge": 123,
"creditsCharged": 123
},
"response": {
"success": true,
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskType": "CHATGPT",
"status": "QUEUED",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>"
},
"credits": {
"creditsToCharge": 123,
"creditsCharged": 123
},
"response": {},
"error": "<string>"
}
}
]
}
Autorizações
Your API key, sent as Authorization: Bearer <key>.
Parâmetros de caminho
Parâmetros de consulta
Opções disponíveis:
response ⌘I
Get a location grid
curl --request GET \
--url https://api.querying.ai/v1/async/task/grid/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/async/task/grid/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/async/task/grid/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/async/task/grid/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/async/task/grid/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/async/task/grid/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/async/task/grid/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"grid": {
"id": "<string>"
},
"summary": {
"total": 123,
"queued": 123,
"processing": 123,
"completed": 123,
"failed": 123
},
"points": [
{
"row": 123,
"col": 123,
"location": {
"latitude": 37.4979,
"longitude": 127.0276
},
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskType": "CHATGPT",
"status": "QUEUED",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>"
},
"credits": {
"creditsToCharge": 123,
"creditsCharged": 123
},
"response": {
"success": true,
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskType": "CHATGPT",
"status": "QUEUED",
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>"
},
"credits": {
"creditsToCharge": 123,
"creditsCharged": 123
},
"response": {},
"error": "<string>"
}
}
]
}